### Method

# GIRepository UnionInfo get_free_function_name

since: 2.80

#### Declaration

    const char*
    gi_union_info_get_free_function_name (
      GIUnionInfo* info
    )

#### Description

Retrieves the name of the free function for `info`, if any is set.

Available since: 2.80

#### Return value

Type: `const char*`

The name of the free function, or `NULL` if none is set.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.